OpenVDB 7.0.0

Classes | Functions
openvdb::v7_0::points::point_attribute_internal Namespace Reference

## Classes
struct | AttributeTypeConversion
struct | AttributeTypeConversion< Name, CodecType >
struct | Default
struct | MetadataStorage
struct | MetadataStorage< PointDataTreeT, Name >

## Functions
template<typename ValueType >
void | collapseAttribute (AttributeArray &array, const AttributeSet::Descriptor &, const ValueType &uniformValue)
void | collapseAttribute (AttributeArray &array, const AttributeSet::Descriptor &descriptor, const Name &uniformValue)

## Function Documentation

## ◆ collapseAttribute() [1/2]

void openvdb::v7_0::points::point_attribute_internal::collapseAttribute | ( | AttributeArray & | array,
|  | const AttributeSet::Descriptor & | ,
|  | const ValueType & | uniformValue
| ) |  |
| inline

## ◆ collapseAttribute() [2/2]

void openvdb::v7_0::points::point_attribute_internal::collapseAttribute | ( | AttributeArray & | array,
|  | const AttributeSet::Descriptor & | descriptor,
|  | const Name & | uniformValue
| ) |  |
| inline